> For the complete documentation index, see [llms.txt](https://docs.datasaur.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.datasaur.ai/api/get-data/get-cabinet.md).

# Get cabinet

## cURL

Use the following cURL command to get a cabinet. You can copy and paste the following template and replace the `access_token`, `projectId`, and `role`**.**

```javascript
curl --location --request POST 'https://datasaur.ai/graphql' \
--header 'Authorization: Bearer <access token>' \
--header 'Content-Type: application/json' \
--data-raw '
{
    "query":"query GetCabinet($projectId: ID!, $role: Role!) {\n  result: getCabinet(projectId: $projectId, role: $role) {\n    id\n    documents {\n        id\n    }\n    role\n    status\n    lastOpenedDocumentId\n    statistic {\n          id\n      numberOfTokens\n      numberOfLines\n    }\n  }\n}\n",
    "variables":{"projectId":"GCJUPUhoUTY","role":"REVIEWER"}
}
'
```

* **query:** Use the value in the sample above.
* **variables**
  * **input**
    * **projectId:** the ID of the project.
    * **role**: `REVIEWER` or `LABELER`.

{% hint style="info" %}
**projectId** can be found in the URL. For example, if the URL is:

`https://app.datasaur.ai/teams/1/projects/MTM3ZjU0MTI/d7026696-c7e6-44bb-be5b`

The **projectId** is `MTM3ZjU0MTI`.
{% endhint %}

## Response

Here is the response you can expect after issuing the cURL command.

```javascript
{
    "data": {
        "result": {
            "id": "1129172",
            "documents": [
                {
                    "id": "67cfaf07-24f4-4ca0-ac31-4b9d20028f52"
                }
            ],
            "role": "REVIEWER",
            "status": "IN_PROGRESS",
            "lastOpenedDocumentId": "67cfaf07-24f4-4ca0-ac31-4b9d20028f52",
            "statistic": {
                "id": "1129172",
                "numberOfTokens": 5895,
                "numberOfLines": 121
            }
        }
    }
}
```
